import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
import { RouteReuseStrategy } from "@angular/router";

//Extra modules
import { IonicModule, IonicRouteStrategy } from "@ionic/angular";
import { SplashScreen } from "@ionic-native/splash-screen/ngx";
import { StatusBar } from "@ionic-native/status-bar/ngx";
import { DatePipe } from "@angular/common";
import { AppRoutingModule } from "./app-routing.module";
import { AppComponent } from "./app.component";

//http
import { HttpClientModule, HTTP_INTERCEPTORS } from "@angular/common/http";

//Font Awesome
import { FontAwesomeModule, FaIconLibrary } from "@fortawesome/angular-fontawesome";
import { fas } from "@fortawesome/free-solid-svg-icons";
import { far } from "@fortawesome/free-regular-svg-icons";
import { fab } from "@fortawesome/free-brands-svg-icons";

//youtube
import { YoutubeVideoPlayer } from "@ionic-native/youtube-video-player/ngx/";
import { YtService } from "./services/yt.service";

import { IonicStorageModule } from "@ionic/storage"; //local storage
import { Facebook } from "@ionic-native/facebook/ngx"; //FaceBook
import { MainPipe } from "./pipes/main-pipe.module"; //Pipes
import { CalendarModule } from "ion2-calendar"; // Calendar UI Module
import { NgxQRCodeModule } from 'ngx-qrcode2';

//Push notification
//import { OneSignal } from '@ionic-native/onesignal/ngx';
//Local notifications
import { LocalNotifications} from '@ionic-native/local-notifications/ngx'

//Social Sharing
import { SocialSharing } from '@ionic-native/social-sharing/ngx';


@NgModule({
	declarations: [AppComponent],
	entryComponents: [],
	imports: [
		BrowserModule,
		IonicModule.forRoot(),
		AppRoutingModule,
		FontAwesomeModule,
		HttpClientModule,
		IonicStorageModule.forRoot(),
		MainPipe,
		CalendarModule,
		NgxQRCodeModule,
	],
	providers: [
		StatusBar,
		SplashScreen,
		YoutubeVideoPlayer,
		YtService,
		DatePipe,
		Facebook,
		SocialSharing,
		LocalNotifications,
		// { provide: HTTP_INTERCEPTORS, useClass: InterceptorService, multi: true },
		{ provide: RouteReuseStrategy, useClass: IonicRouteStrategy },
	],
	bootstrap: [AppComponent],
})
export class AppModule {
	constructor(library: FaIconLibrary) {
		library.addIconPacks(fas, fab, far);
	}
}
