export interface Theater {
  id: number;
  date: string;
  date_gmt: string;
  guid: Guid;
  modified: string;
  modified_gmt: string;
  slug: string;
  status: string;
  type: string;
  link: string;
  title: Guid;
  content: Content;
  author: number;
  template: string;
  meta: any[];
  categories: any[];
  tags: any[];
  'toolset-meta': Toolsetmeta;
  _links: Links;
}

interface Links {
  self: Self[];
  collection: Self[];
  about: Self[];
  author: Author[];
  'wp:attachment': Self[];
  'wp:term': Wpterm[];
  curies: Cury[];
}

interface Cury {
  name: string;
  href: string;
  templated: boolean;
}

interface Wpterm {
  taxonomy: string;
  embeddable: boolean;
  href: string;
}

interface Author {
  embeddable: boolean;
  href: string;
}

interface Self {
  href: string;
}

interface Toolsetmeta {
  'campos-personalizados-cines': Campospersonalizadoscines;
}

interface Campospersonalizadoscines {
  'direccion-cine': Direccioncine;
  'email-cine': Direccioncine;
  'telefono-cine': Direccioncine;
  filas: Direccioncine;
  columnas: Direccioncine;
  imagen: Imagen;
}

interface Imagen {
  type: string;
  raw: string;
  attachment_id: number;
}

interface Direccioncine {
  type: string;
  raw: string;
}

interface Content {
  rendered: string;
  protected: boolean;
}

interface Guid {
  rendered: string;
}