export interface Movie {
  id: number;
  date: string;
  date_gmt: string;
  guid: Guid;
  modified: string;
  modified_gmt: string;
  slug: string;
  status: string;
  type: string;
  link: string;
  title: Guid;
  featured_media: number;
  template: string;
  meta: any[];
  categories: number[];
  tags: any[];
  'toolset-meta': Toolsetmeta;
  _links: Links;
}

interface Links {
  self: Self[];
  collection: Self[];
  about: Self[];
  'wp:attachment': Self[];
  'wp:term': Wpterm[];
  curies: Cury[];
}

interface Cury {
  name: string;
  href: string;
  templated: boolean;
}

interface Wpterm {
  taxonomy: string;
  embeddable: boolean;
  href: string;
}

interface Self {
  href: string;
}

interface Toolsetmeta {
  'campos-personalizados-peliculas': Campospersonalizadospeliculas;
}

interface Campospersonalizadospeliculas {
  'clasificacion-pelicula': Clasificacionpelicula;
  'duracion-pelicula': Clasificacionpelicula;
  'sinopsis-pelicula': Clasificacionpelicula;
  'poster-pelicula': Posterpelicula;
  trailer: Clasificacionpelicula;
  movietime: Clasificacionpelicula;
}

interface Posterpelicula {
  type: string;
  raw: string;
  attachment_id: number;
}

interface Clasificacionpelicula {
  type: string;
  raw: string;
}

interface Guid {
  rendered: string;
}