interface Showtime {
  id: number;
  name: string;
  slug: string;
  permalink: string;
  date_created: string;
  date_created_gmt: string;
  date_modified: string;
  date_modified_gmt: string;
  type: string;
  status: string;
  featured: boolean;
  catalog_visibility: string;
  description: string;
  short_description: string;
  sku: string;
  price: number;
  regular_price: string;
  sale_price: string;
  date_on_sale_from?: any;
  date_on_sale_from_gmt?: any;
  date_on_sale_to?: any;
  date_on_sale_to_gmt?: any;
  price_html: string;
  on_sale: boolean;
  purchasable: boolean;
  total_sales: number;
  virtual: boolean;
  downloadable: boolean;
  downloads: any[];
  download_limit: number;
  download_expiry: number;
  external_url: string;
  button_text: string;
  tax_status: string;
  tax_class: string;
  manage_stock: boolean;
  stock_quantity?: number;
  stock_status: string;
  backorders: string;
  backorders_allowed: boolean;
  backordered: boolean;
  sold_individually: boolean;
  weight: string;
  dimensions: Dimensions;
  shipping_required: boolean;
  shipping_taxable: boolean;
  shipping_class: string;
  shipping_class_id: number;
  reviews_allowed: boolean;
  average_rating: string;
  rating_count: number;
  related_ids: number[];
  upsell_ids: any[];
  cross_sell_ids: any[];
  parent_id: number;
  purchase_note: string;
  categories: Category[];
  tags: any[];
  images: any[];
  attributes: any[];
  default_attributes: any[];
  variations: any[];
  grouped_products: any[];
  menu_order: number;
  meta_data: Metadatum[];
  'toolset-meta': Toolsetmeta;
  _links: Links;
}

interface Links {
  self: Self[];
  collection: Self[];
}

interface Self {
  href: string;
}

interface Toolsetmeta {
  'campos-personalizados-producto-horario': Campospersonalizadosproductohorario;
  'woocommerce-views-filter-fields': Woocommerceviewsfilterfields;
}

interface Woocommerceviewsfilterfields {
  views_woo_price: Viewswooprice;
  views_woo_on_sale: Viewswooprice;
  views_woo_in_stock: Viewswooprice;
}

interface Viewswooprice {
  type: string;
  raw: string;
}

interface Campospersonalizadosproductohorario {
  showtime: Showtime;
  showtimeend: Showtimeend;
  sala: Sala;
  'cine-horario': Sala;
  'pelicula-horario': Sala;
  'asientos-no-disponibles': Asientosnodisponibles;
}

interface Asientosnodisponibles {
  type: string;
  raw: string[];
}

interface Sala {
  type: string;
  raw: number;
}

interface Showtimeend {
  type: string;
  raw: string;
  formatted?: any;
}

interface Showtime {
  type: string;
  raw: string;
  formatted: any;
}

interface Metadatum {
  id: number;
  key: string;
  value: any;
}

interface Value6 {
  disable_fields: string;
  disable_services: string;
}

interface Value4 {
  _enable: string;
}

interface Value3 {
  _event_type: string;
  _price_fixed: string;
  _price_relative: string;
  _description: string;
}

interface Value2 {
  type: string;
  data: Data;
}

interface Data {
  header_image: Headerimage;
  display_ticket_number: string;
  barcode: Barcode;
  background_image: Headerimage;
  footer_image: Headerimage;
  aditional_text: string;
}

interface Barcode {
  display: string;
  type: string;
}

interface Headerimage {
  id: string;
  uri: string;
}

interface Value {
  tab_assistants: string;
  tab_assistants_for_organizers: string;
  display: string;
  values: string;
}

interface Category {
  id: number;
  name: string;
  slug: string;
}

interface Dimensions {
  length: string;
  width: string;
  height: string;
}