import { Component, OnInit } from "@angular/core";
import { Storage } from "@ionic/storage";
import { Theater } from "src/app/interfaces/ts_cinema";
import { Movie } from "src/app/interfaces/ts_movie";
import QRCode from "qrcode";
import { LoadingController, ModalController } from "@ionic/angular";
import { TicketDetailPage } from "../ticket-detail/ticket-detail.page";
import { Router } from "@angular/router";
import { AuthService } from "../../services/auth.service";
import { OrdersService } from "../../services/orders.service";
import { Orders } from "../../interfaces/woo_getOrder";
import { CinemaService } from "../../services/cinema.service";
import { MoviesService } from "../../services/movies.service";
import { TheatersService } from "../../services/theaters.service";
import { DatePipe } from "@angular/common";
import { Seat } from "src/app/interfaces/sql_seats";

@Component({
	selector: "app-account",
	templateUrl: "./account.page.html",
	styleUrls: ["./account.page.scss"],
})
export class AccountPage implements OnInit {
	movie: Movie;
	currentMovies: Movie[] = [];
	selected_date: any = 0;
	theater_selected: Theater;
	seats_selected: any;
	seats: string = "";
	fecha_apartado : any;
	showtime: any;
	checkQRCode: boolean = false;
	code = "some sample string";
	generated = "";
	user: any;
	user_image: any = 0;
	orderList: Orders[] = [];
	loading: any;

	constructor(
		private storage: Storage,
		public modalController: ModalController,
		private datePipe: DatePipe,
		public loadingController: LoadingController,
		private router: Router,
		private authService: AuthService,
		private orderService: OrdersService,
		private cinemaService: CinemaService,
		private movieService: MoviesService,
		private theatersService: TheatersService
	) {}

	ionViewCanEnter() {
    //alert('1 - Toc, Toc!!! ¿Puedo pasar? Se lanza antes de que la vista pueda entrar.');
  }

	ngOnInit() {}
	async ionViewWillEnter() {

		this.loading = await this.loadingController.create({
			cssClass: "my-custom-class",
			message: "Please wait",
		});
		await this.loading.present();

		this.storage.get("user_image").then((image) => {
				this.user_image = image;
		});

		this.storage.get("auth").then((auth) => {
			if (auth) {
				this.user = auth;
				this.storage.get("jwt").then((jwt) => {
					if (jwt) {
						console.log(auth);
						this.loading.dismiss();
					}
				});
			}
		});

	}

	logout() {
		this.authService.publishUser(null);
		this.authService.logout();
	}
}
