import { Component, OnInit, ViewChild } from "@angular/core";
import { AuthenticationService } from "src/app/services/authentication.service";
import { IonInput, ToastController } from "@ionic/angular";

@Component({
	selector: "app-forgot",
	templateUrl: "./forgot.page.html",
	styleUrls: ["./forgot.page.scss"],
})
export class ForgotPage implements OnInit {
	@ViewChild("inputId", { static: false }) inputElement: IonInput;
	email: string = "";

	constructor(private authService: AuthenticationService, private toastController: ToastController) {}

	ngOnInit() {}

	ngAfterViewInit() {
		setTimeout(() => {
			this.inputElement.setFocus();
		}, 400);
	}

	async resetPassword() {
		let message: string = "";
		if (this.email != "") {
			this.authService.resetPassword(this.email).subscribe(async (resp) => {
				message = await resp.message;
				const toast = await this.toastController.create({
					message: message,
					duration: 2000,
				});
				toast.present();
			});
		}
	}
}
