import { Component, OnInit } from "@angular/core";
import { Shop } from "src/app/interfaces/ts_shop";
import { ModalController, NavParams, ToastController } from "@ionic/angular";

@Component({
	selector: "app-shop-quantity",
	templateUrl: "./shop-quantity.page.html",
	styleUrls: ["./shop-quantity.page.scss"],
})
export class ShopQuantityPage implements OnInit {
	shopping: Shop;
	quantity: number = 1;
	size: string = "";

	constructor(public modalController: ModalController, private navParams: NavParams, private toastController: ToastController) {}

	async ngOnInit() {}

	ionViewWillEnter() {
		this.shopping = this.navParams.get("product");
	}

	cancel() {
		this.modalController.dismiss();
	}

	accept() {
		if (this.shopping.variations_desc.length > 0) {
			if (this.size !== "") {
				let result = {
					size: this.size,
					quantity: this.quantity,
				};
				this.modalController.dismiss(result);
			} else {
				this.presentToast("Please select a size");
			}
		} else {
			let result = {
				size: this.size,
				quantity: this.quantity,
			};
			this.modalController.dismiss(result);
		}
	}

	async getTotalToPay() {}

	lessQuantity() {
		if (this.quantity != 1) {
			this.quantity -= 1;
		}
	}

	plusQuantity() {
		this.quantity += 1;
	}

	async presentToast(message: string) {
		const toast = await this.toastController.create({
			message: message,
			duration: 2000,
		});
		toast.present();
	}
}
