import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { AuthGuard } from 'src/app/guards/auth.guard';
import { TabsPage } from "./tabs.page";

const routes: Routes = [
	{
		path: "tabs",
		component: TabsPage,
		children: [
			{
				path: "tab1",
				loadChildren: () => import("src/app/pages/home/tab1.module").then((m) => m.Tab1PageModule),
			},
			{
				path: "tab2",
				loadChildren: () => import("src/app/pages/movies/tab2.module").then((m) => m.Tab2PageModule),
			},
			{
				path: "tab3",
				loadChildren: () => import("src/app/pages/theaters/theaters.module").then((m) => m.TheatersPageModule),
			},
			{
				path: "tab4",
				loadChildren: () => import("src/app/pages/shop/shop.module").then((m) => m.ShopPageModule),
				canActivate: [AuthGuard],
			},
			{
				path: "tab5",
				loadChildren: () => import("src/app/pages/myTicket/tab4.module").then((m) => m.Tab4PageModule),
				canActivate: [AuthGuard],
			},
			{
				path: "",
				redirectTo: "/tabs/tab1",
				pathMatch: "full",
			},
		],
	},
	{
		path: "",
		redirectTo: "/tabs/tab1",
		pathMatch: "full",
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
})
export class TabsPageRoutingModule {}
