import { Component, OnInit } from "@angular/core";
import { TheatersService } from "../../services/theaters.service";
import { Storage } from "@ionic/storage";
import { Theater } from 'src/app/interfaces/ts_cinema';
import { Router } from '@angular/router';

@Component({
	selector: "app-theaters",
	templateUrl: "./theaters.page.html",
	styleUrls: ["./theaters.page.scss"],
})
export class TheatersPage implements OnInit {
	theaters: Theater[] = [];

	constructor(private theaterService: TheatersService, private storage: Storage, private router: Router) {}

	ngOnInit() {
		this.storage.get("theaters").then((val) => {
			if (!val) {
				this.theaterService.getTheaters().subscribe((resp) => {
					this.storage.set("theaters", resp);
				});
			} else {
				this.theaters = val;
			}
		});
	}

	selectCinema(theater: Theater){		
		this.storage.set("cinema_previous",theater);
		this.router.navigate(['/tabs/tab2']);
	}
}
