import { Component, OnInit } from "@angular/core";
import { Storage } from "@ionic/storage";
import { Theater } from "src/app/interfaces/ts_cinema";
import { Movie } from "src/app/interfaces/ts_movie";
import { ActivatedRoute, Router } from "@angular/router";
import { OrdersService } from "../../services/orders.service";

@Component({
	selector: "app-ticket",
	templateUrl: "./ticket.page.html",
	styleUrls: ["./ticket.page.scss"],
})
export class TicketPage implements OnInit {
	movie: Movie;
	selected_date: any = 0;
	theater_selected: Theater;
	seats_selected: any;
	seats: string = "";
	showtime: any;
	total: number;
	ticket_type: string = "";

	constructor(private storage: Storage, private router: Router, private route: ActivatedRoute, private ordersService: OrdersService) {
		this.route.queryParams.subscribe(() => {
			if (this.router.getCurrentNavigation().extras.state) {
				this.ticket_type = this.router.getCurrentNavigation().extras.state.ticket;
			}
		});
	}

	ngOnInit() {
		this.storage.get("showtime_selected").then((val) => (this.showtime = val));
		this.storage.get("movie_selected").then((val) => (this.movie = val));
		this.storage.get("selected_date").then((val) => (this.selected_date = val));
		this.storage.get("total").then((val) => (this.total = val));
		this.storage.get("theater_selected").then((val) => (this.theater_selected = val));
		this.storage.get("seats_selected").then(async (val) => {
			this.seats_selected = val;
			if (val && val.seats) {
				for (let i = 0; i < val.seats.length; i++) {
					if (val.seats.length - 1 == i) {
						this.seats += val.seats[i];
					} else {
						this.seats += val.seats[i] + " - ";
					}
				}
			}
		});
	}

	goToTickets() {
		this.storage.remove("cart");
		this.storage.remove("seats_selected");
		this.storage.remove("seats_taken");
		this.storage.remove("theater_selected");
		this.storage.remove("showtime_selected");
		this.storage.remove("movie_selected");
		this.storage.remove("selected_date");
		this.storage.remove("cinemaSelected");
		this.router.navigate(["/tabs/tab5"]);
	}
}
