import { Pipe, PipeTransform } from "@angular/core";
import { DomSanitizer, SafeUrl } from "@angular/platform-browser";
import { environment } from "../../environments/environment.prod";

const URL = environment.imgPath;

@Pipe({
	name: "imagen",
})
export class ImagenPipe implements PipeTransform {
	constructor(private sanitizer: DomSanitizer) {}

	transform(img: string, size: string = "w500"): SafeUrl {
		if (!img) {
			return;
		}

		const imgURL = `${URL}/${size}${img}`;
		return this.sanitizer.bypassSecurityTrustUrl(imgURL);
	}
}
