import { Injectable } from "@angular/core";
import { HttpClient, HttpHeaders, HttpParams } from "@angular/common/http";
import { Observable } from "rxjs";
import { global_URL } from "../../environments/environment.prod";
import { consumer_key, consumer_secret } from "src/environments/environment";

const url = global_URL;
const headers = new HttpHeaders({
	"Content-Type": "application/json",
});

@Injectable({
	providedIn: "root",
})
export class AuthenticationService {
	constructor(private http: HttpClient) {}

	registerUser(username: string, email: string, password: string): Observable<any> {
		return this.http.post<any>(`${url}/?rest_route=/simple-jwt-login/v1/users&email=${email}&password=${password}&user_login=${username}`, {
			headers: headers,
		});
	}

	getUserInfo(email: string, password: string): Observable<any> {
		return this.http.post<any>(`${url}/?rest_route=/simple-jwt-login/v1/auth&email=${email}&password=${password}`, {
			headers: headers,
		});
	}

	resetPassword(email: string) {
		return this.http.post<any>(
			`${url}/wp-json/wp/v2/users/lost-password`,
			JSON.stringify({
				user_login: email,
			}),
			{
				headers: headers,
			}
		);
	}
}
