import { Injectable } from "@angular/core";
import { HttpClient, HttpHeaders } from "@angular/common/http";
import { Observable } from "rxjs";
import { global_URL } from "../../environments/environment.prod";

const url = global_URL;

@Injectable({
	providedIn: "root",
})
export class BannerService {
	constructor(private http: HttpClient) {}

	getBanners(): Observable<Banner[]> {
		return this.http.get<Banner[]>(`${url}/wp-json/wp/v2/banner`);
	}

	getBanner_byId(id: number): Observable<Banner[]> {
		return this.http.get<Banner[]>(`${url}/wp-json/wp/v2/banner?id-banner=${id}`);
	}
}
