import { Injectable } from "@angular/core";
import { HttpClient, HttpParams } from "@angular/common/http";
import { global_URL } from "../../environments/environment.prod";
import { Order } from '../interfaces/woo_order';
import { Orders } from '../interfaces/woo_getOrder';
import { Observable } from 'rxjs';

const url = global_URL;

@Injectable({
	providedIn: "root",
})
export class OrdersService {
	constructor(private http: HttpClient) {}

	addOrder(createOrderData: Order, jwt: string): any {
		let params = new HttpParams();
		params = params.append("jwt", jwt);
		params = params.append("url", `${url}/wp-json/wc/v3/orders`);		
		params = params.append("update", JSON.stringify(createOrderData));
		
		return this.http.get<Showtime[]>(`${url}/jwt_validation.php?`, {
			params: params,
		});
	}


	getOrdersByCustomer(customer: number, jwt: string): Observable<Orders[]> {
		let params = new HttpParams();
		params = params.append("jwt", jwt);
		params = params.append("url", `${url}/wp-json/wc/v3/orders`);		
		params = params.append("customer", `${customer}`);
		console.log(params);
		
		return this.http.get<Orders[]>(`${url}/jwt_validation.php?`, {
			params: params,
		});
	}

}
