import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs/internal/Observable";
import { Theater } from "../interfaces/ts_cinema";
import { global_URL } from "src/environments/environment.prod";

const url = global_URL;

@Injectable({
	providedIn: "root",
})
export class TheatersService {
	constructor(private http: HttpClient) {}

	getTheaters(): Observable<Theater[]> {
		return this.http.get<Theater[]>(`${url}/wp-json/wp/v2/cine`);
	}

	getTheater_byId(id: string): Observable<Theater> {
		return this.http.get<Theater>(`${url}/wp-json/wp/v2/cine/${id}`);
	}
}
