import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { environment, youTubeApiKey, global_URL } from "../../environments/environment.prod";

const apiKey = youTubeApiKey;

@Injectable({
	providedIn: "root",
})
export class YtService {
	constructor(public http: HttpClient) {}

	getPlaylistsForChannel(channel) {
		return this.http.get(`https://www.googleapis.com/youtube/v3/playlists?key=${apiKey}&channelId=${channel}&part=snippet,id&maxResults=20`);
	}

	getListVideos(listId) {
		return this.http.get(`https://www.googleapis.com/youtube/v3/playlistItems?key=${apiKey}&playlistId=${listId}&part=snippet,id&maxResults=20`);
	}

	getVideo(listId): Observable<youTubevideo> {
		return this.http.get<youTubevideo>(`https://www.googleapis.com/youtube/v3/videos?key=${apiKey}&id=${listId}&part=snippet,id&maxResults=2`);
	}
}
